GET
/
v1
/
templates
/
library
List template library
curl --request GET \
  --url https://api.wazapin.com/v1/templates/library \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "body_text": "<string>",
      "category": "<string>",
      "header_format": "<string>",
      "id": "<string>",
      "language": "<string>",
      "slug": "<string>",
      "sort_order": 123,
      "title": "<string>",
      "variables": "<unknown>",
      "buttons": [
        {
          "text": "<string>",
          "type": "<string>",
          "phone_number": "<string>",
          "url": "<string>"
        }
      ],
      "description": "<string>",
      "footer_text": "<string>",
      "header_text": "<string>",
      "industry": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Session token or API key

Query Parameters

category
string
industry
string
limit
integer<int32>
default:20
Required range: 1 <= x <= 100
offset
integer<int32>
default:0
Required range: x >= 0

Response

OK

data
object[] | null
required